Class | Ferret::Analysis::AsciiLowerCaseFilter
In: | ext/r_analysis.c
Parent: | Ferret::Analysis::TokenStream

## Summary

AsciiLowerCaseFilter normalizes a token‘s text to lowercase but only for ASCII characters. For other characters use LowerCaseFilter.

### Example

      ["One", "TWO", "three", "RÉSUMÉ"] => ["one", "two", "three", "rÉsumÉ"]

### Methods

new

### Public Class methods

AsciiLowerCaseFilter.new(token_stream) → token_stream

Create an AsciiLowerCaseFilter which normalizes a token‘s text to lowercase but only for ASCII characters. For other characters use LowerCaseFilter.

[Validate]